curl --request GET \
--url https://api.tilta.io/v1/invoices/{external_id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tilta.io/v1/invoices/{external_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tilta.io/v1/invoices/{external_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tilta.io/v1/invoices/{external_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"external_id": "<string>",
"buyer_external_id": "<string>",
"merchant_external_id": "<string>",
"created_at": 1582896122,
"updated_at": 1582896122,
"due_at": 1582896122,
"status": "OPEN",
"days_past_due": 123,
"payment_method": "CASH",
"invoice_number": "<string>",
"invoiced_at": 1582896122,
"amount": {
"net": 2,
"gross": 2,
"currency": "EUR",
"tax": 1
},
"contact": {
"external_id": "<string>",
"buyer_external_id": "<string>",
"assign_to_all_invoices": true,
"created_at": 1582896122,
"updated_at": 1582896122,
"salutation": "MR",
"first_name": "<string>",
"last_name": "<string>",
"email": "jsmith@example.com",
"phone": "+491711010101",
"address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
}
},
"paid_at": 123,
"buyer": {
"legal_name": "<string>"
},
"services": [
{
"external_id": "<string>",
"invoice_external_id": "<string>",
"service_type": "FINANCING",
"status": "IN_REVIEW",
"created_at": 123,
"updated_at": 123,
"requirements": [
{
"code": "INVOICE_INELIGIBLE",
"description": "<string>"
}
],
"advance": {
"value": 123
},
"fee": {
"gross": 123,
"net": 123,
"tax": 123
}
}
],
"credit_note_summary": {
"count": 2,
"amount": {
"gross": 1000,
"net": 800,
"tax": 200,
"currency": "EUR"
},
"original_invoice_amount": {
"gross": 5000,
"net": 4000,
"tax": 1000,
"currency": "EUR"
},
"has_active_mandate": true,
"financing_status": "IN_REVIEW"
},
"order_external_ids": [],
"line_items": [
{
"name": "<string>",
"category": "<string>",
"price": 123,
"currency": "EUR",
"quantity": 2,
"description": "<string>"
}
],
"billing_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"delivery_address": {
"postcode": "12345",
"city": "Berlin",
"country": "AF",
"street": "Example Street",
"house": "42b",
"additional": "c/o Testimonial"
},
"custom_data": {}
}{
"code": "BAD_REQUEST",
"error": "Request validation failed. 1 issue found.",
"issues": [
{
"code": "INVALID_TYPE",
"path": "body.registered_at",
"message": "Invalid type"
}
]
}{
"error": "Unauthorized",
"code": "UNAUTHORIZED"
}{
"error": "No Entity found",
"code": "NOT_FOUND"
}Retrieve an invoice
Fetch complete details of a single invoice including its status, financed amount, due date, associated orders, and any active Tilta services.
INVOICE webhook events to be notified when an invoice is created, becomes due, is paid out, or closes –
rather than polling this endpoint.Authorizations
Your Tilta API key, sent as Bearer <key>.
Path Parameters
Unique identifier of an invoice.
100^[a-zA-Z0-9-_]+$Query Parameters
Invoice sub-entities to expand in the response object. Currently supported: buyer, services (more coming soon).
buyer, services ["buyer", "services"]
Response
Invoice is returned.
Unique identifier of an invoice.
100^[a-zA-Z0-9-_]+$Unique identifier of a buyer.
100^[a-zA-Z0-9-_]+$Unique identifier of a merchant.
100^[a-zA-Z0-9-_]+$Timestamp indicating when the invoice was created (unix time in seconds).
1582896122
Timestamp indicating the last time the invoice was updated (unix time in seconds).
1582896122
Invoice due date (unix time in seconds).
1582896122
The current status of the invoice.
OPEN, DUE, CLOSED, CANCELLED Days past due. Only available for invoices with status DUE.
Invoice payment method.
CASH, CARD, TRANSFER, DEBIT Invoice number or reference.
Invoice creation date (unix time in seconds).
1582896122
Show child attributes
Show child attributes
The buyer contact associated with this invoice (if any).
Show child attributes
Show child attributes
Timestamp indicating when the invoice was marked as paid (unix time in seconds).
Show child attributes
Show child attributes
Invoice services with their current status. Returned only when expand includes services. Ordered oldest first; a service type may appear more than once after a resubmission.
Show child attributes
Show child attributes
Summary of all Credit Notes associated with this invoice.
Show child attributes
Show child attributes
{
"count": 2,
"amount": {
"gross": 1000,
"net": 800,
"tax": 200,
"currency": "EUR"
},
"original_invoice_amount": {
"gross": 5000,
"net": 4000,
"tax": 1000,
"currency": "EUR"
},
"has_active_mandate": true,
"financing_status": "IN_REVIEW"
}
IDs of related orders.
100^[a-zA-Z0-9-_]+$Order line items.
Show child attributes
Show child attributes
Billing address. If it is not provided, this will be filled with the buyer's business address.
Show child attributes
Show child attributes
Delivery address. If it is not provided, this will be filled with the buyer's default delivery address when set.
Show child attributes
Show child attributes
Free-form metadata for storing integration-specific data alongside this invoice.
Show child attributes
Show child attributes